List of all members
clan::ImageImportDescription Class Reference
clanDisplay Display

Image Import Description Class. More...

`#include <image_import_description.h>`

## Public Member Functions
Construction
| ImageImportDescription ()
| Constructs a image import description with default values. More...
| ~ImageImportDescription ()
Attributes
bool | get_premultiply_alpha () const
| Returns the premultiply alpha setting. More...
bool | flip_vertical () const
| Returns the flip vertical setting. More...
bool | is_srgb () const
| Returns the sRGB setting. More...
bool | is_cached () const
| Returns if this image should be cached. More...
Operations
PixelBuffer | process (PixelBuffer &image) const
| Process the pixel buffers depending of the chosen settings. More...
void | set_premultiply_alpha (bool enable)
| Set the premultiply alpha setting. More...
void | set_flip_vertical (bool enable)
| Set the flip vertical setting. More...
void | set_srgb (bool enable)
| Controls if the image is uploaded as a sRGB texture or not. More...
void | set_cached (bool enable)
| Controls if this image can be cached. More...
Callbacks
std::function< PixelBuffer(PixelBuffer &)> & | func_process ()
| User defined fine control of the pixel buffer. More...

## Detailed Description

Image Import Description Class.

This class allows you to setup a more advanced description when importing images.

The documentation for this class was generated from the following file:

- image_import_description.h